%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-munkres
Version:        1.0.5.4
Release:        1%{?dist}
Summary:        munkres algorithm for the Assignment Problem
Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/munkres/
Source0:        http://pypi.python.org/packages/source/m/munkres/munkres-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel


%description
The Munkres module provides an implementation of the Munkres algorithm
(also called the Hungarian algorithm or the Kuhn-Munkres algorithm),
useful for solving the Assignment Problem.


%prep
%setup -q -n munkres-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE CHANGELOG
%{python_sitelib}/*


%changelog
* Fri Apr 1 2011 Conrad Meyer <konrad@tylerc.org> - 1.0.5.4-1
- First spec
